Subject: bug#10684: guile-2.0.5 test failures on powerpc-darwin8

From: David Fang <[email-masked]>
Date: Tue, 31 Jan 2012 17:51:54 -0500 (EST)

Using the fink packaging that I maintain for guile:
http://fink.cvs.sf.net/viewvc/fink/experimental/fangism/finkinfo/guile20.info?revision=1.15&view=markup

I get a few test failures on powerpc-darwin8, complete test log:
http://paste.lisp.org/display/127426

FAIL: i18n.test: character mapping: char-locale-upcase Turkish
FAIL: i18n.test: character mapping: char-locale-downcase Turkish
FAIL: i18n.test: string mapping: string-locale-upcase Turkish
FAIL: i18n.test: string mapping: string-locale-downcase Turkish

FAIL: net-db.test: getaddrinfo: wrong service name

ERROR: regexp.test: regexp-quote: regexp/extended: (char 254 #\þ "þ") - 
arguments: ((regular-expression-syntax "make-regexp" "empty 
(sub)expression" #f ("þ")))
FAIL: regexp.test: regexp-quote: regexp/extended: (string "aX" 254 #\þ 
"aþ" "aþ")
FAIL: regexp.test: regexp-quote: regexp/extended: string of all chars

Totals for this test run:
passes:                 34818
failures:               7
unexpected passes:      0
expected failures:      30
unresolved test cases:  37
untested test cases:    1
unsupported test cases: 15
errors:                 1

Most of these failures are not new and have been around a while.
Let me know what other information I can provide about these tests in my 
build environment.

Thanks for guile!

Fang